読者です 読者をやめる 読者になる 読者になる

Vine Linux 6 で Redmine-1.2.1 を運用中

Redmine Vine Linux

Ruby on Rails のアプリケーションは、rubygems のバージョンと gem たちのバージョンの組合せが絶妙なバランスなので、バージョン選定に非常に苦労します (^^;;

Redmine のインストール方法は、公式のドキュメントはじめ、たくさんありますので、そちらに譲るとしまして、ここでは rubygems のバージョンと gems の組み合わせをあげておくだけにとどめます。

Redmine-1.2.1 の場合は、ruby-1.8.7 に以下の gems の組み合わせで、運用できております。ちなみに、データベースは SQLite3 を使っております。

$ sudo gem install rubygems-update --no-rdoc --no-ri
$ sudo gem update --system 1.7.2
$ sudo gem install -v=0.8.7 rake --no-rdoc --no-ri
$ sudo gem install -v=1.1.0 rack --no-rdoc --no-ri
$ sudo gem install -v=2.3.11 rails --no-rdoc --no-ri
$ sudo gem install -v=0.4.2 i18n --no-rdoc --no-ri
$ sudo gem install sqlite3-ruby --no-rdoc --no-ri

たとえば、こんな感じで Vine Linux のプロジェクトを作って、自分の作業をチケットで登録します。

Vine Linux の開発作業もますます進むとよいですなー(^^ 仕事でも Redmine を活用したいな!おっし、やってやる!